Get tagged account - Multiple

Get tagged accounts

The endpoint supports batch retrieval of accounts with the ability to customise the query

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

This endpoint is deprecated.

📘

This endpoint returns you account information that is tagged by SolanaFM, if the account entails with no data field, it is not tagged by SolanaFM.

Parameters

  • accountHashes - The pubkeys for the accounts to query for
  • fields - (optional) Nourish account property
    • Accepts one of the following fields strings:
      [`"data"`, `"onchain" (default)`, `"*"`]
      "data" field nourishes the account information with a data attribute that the SolanFM team identified which contains the following additional fields
      {  
        "friendlyName": "A friendly readable name for the account instead of just a hash",
        "abbreviation": "A short abbreviation of the account",  
        "category": "A category that indicates which ecosystem does this account belong to (markets, validators, accounts, tokens, programs)", 
        "voteKey": "This field only exist for validator accounts to indicate the vote key account hash for this validator account",
        "network": "Indicates if the account lives in (mainnet/devnet/testnet)",
        "tags": "Could be possibly tagged as a scammer/hacker account by the SolanaFM team or in a more generic term of tagging (e.g. tagging the account as a DeFi account)",
        "logoURI": "An image url to the logo of the account (if exists)",
        "flag": "Flagging out an account that has been exploited or exploits others to be indicated on our Explorer"
      }
    • "onchain" field nourished the account information with a onchain attribute which contains the following additional fields
      {
      lamports:The account balance in lamports as of time of query
      data:Account data if exists (usually returned in base64 encoding if can't be parsed) else it returns a parsed field that indicates the parsed account data details
      owner:The owner of the account, usually indicates as 11111111111111111111111111111111 unless the queried account hash is an associated token account then this field will reflect the owner's address
      executable: If this field is true, it indicates that the account is a program account that is executable
      rentEpoch:The epoch number that the account last paid rent
      }
Body Params
accountHashes
array of strings
required

The account/wallet hashes to query for

accountHashes*
fields
array of strings | null

Specify the field objects to be returned in the result
Available array fields: data, onchain, *

fields
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json